- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ServiceOption Class Reference

the ServiceOption class. More...

`#include <OSOption.h>`

Collaboration diagram for ServiceOption:

[legend]
List of all members.

## Public Member Functions
| ServiceOption ()
| Default constructor.
| ~ServiceOption ()
| Class destructor.
bool | IsEqual (ServiceOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | type
| the service type
OtherOptions * | otherOptions
| the list of other service options

## Detailed Description

the ServiceOption class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 557 of file OSOption.h.

## Constructor & Destructor Documentation

ServiceOption::ServiceOption | ( |  | ) |

Default constructor.

Definition at line 246 of file OSOption.cpp.

References otherOptions.

ServiceOption::~ServiceOption | ( |  | ) |

Class destructor.

Definition at line 255 of file OSOption.cpp.

References otherOptions.

## Member Function Documentation

bool ServiceOption::IsEqual | ( | ServiceOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 8186 of file OSOption.cpp.

References otherOptions, and type.

bool ServiceOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10320 of file OSOption.cpp.

References OSRand(), otherOptions, OtherOptions::setRandom(), and type.

Referenced by OSOption::setRandom().

## Member Data Documentation

std::string ServiceOption::type

the service type

Definition at line 561 of file OSOption.h.

Referenced by OSOption::getServiceType(), IsEqual(), setRandom(), and OSOption::setServiceType().

OtherOptions* ServiceOption::otherOptions

the list of other service options

Definition at line 564 of file OSOption.h.

Referenced by OSOption::getNumberOfOtherServiceOptions(), OSOption::getOtherServiceOptions(), IsEqual(), ServiceOption(), OSOption::setAnOtherServiceOption(), OSOption::setOtherServiceOptions(), setRandom(), and ~ServiceOption().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp